@media screen and (max-width: 1330px) {

}

@media screen and (max-width: 1292px){

}

@media screen and (max-width: 1199px) {
    .container {
        max-width: 1024px;
    }

    .best_collection_item_image {
        width: 225px;
        height: 270px;
    }

    .top_le_slider_item_image {
        height: 170px;
    }

    .footer_nav {
        gap: 50px;
    }

    .discount_main {
        height: 50vh;
    }

    .special_info_right {
        width: 450px;
        height: 600px;
    }

    .special_info_right::after {
        width: 450px;
        height: 650px;
        top: -30px;
        left: -300px;
    }

    .container_right {
        max-width: 1024px;
        width: 100%;
        margin: 0 auto;
        padding: 0 15px;
    }

    .cart_body_order {
        max-width: 350px;
        padding: 20px 15px;
    }
}

@media screen and (max-width: 1130px) {

}

@media screen and (max-width: 1080px) {

}

@media screen and (max-width: 1024px) {
    .container {
        max-width: 991px;
    }

    .banner_main_item {
        justify-content: center;
    }

    .detail_info {
        flex-wrap: wrap;
    }

    .detail_info_right {
        border-top: 1px solid #E9E9E9;
        border-left: 0;
    }

    .detail_banner {
        height: auto;
        flex-wrap: wrap;
        padding: 40px 20px;
        gap: 50px;
    }

    .change_password_modal_ {
        max-width: 320px;
        width: 100%;
        min-height: 70px;
        background: #FFFFFF;
        box-shadow: 0px 5px 8px rgba(0, 0, 0, 0.1);
        border-radius: 5px;
        position: absolute;
        left: 0;
        right: 0;
        bottom: 0;
        top: 0;
        margin: auto;
        display: inline-table;
        overflow: hidden;
    }
}

@media screen and (max-width: 991px) {
    .container {
        max-width: 768px;
    }

    .best_collection_item_image {
        width: 170px;
        height: 190px;
    }

    .buy_handmade_jewelry {
        gap: 47px;
        flex-wrap: wrap;
    }

    .slider_arrows_collection {
        margin-top: 20px;
    }

    .footer {
        flex-wrap: wrap;
    }

    .cart_body {
        flex-direction: column;
    }

    .cart_body_order {
        max-width: 100%;
    }

    .pagination li {
        padding: 5px;
    }

    .pagination ul li a {
        font-size: 11px;
    }
}

@media screen and (max-width: 975px) {

}

@media screen and (max-width: 991px) {
    .modal_product_setting {
        max-width: 320px;
    }

    .modal_product_add_to_cart.active {
        padding: 10px;
    }

    .discount_main {
        height: unset;
        padding: 50px 0;
    }

    .discount_title {
        font-size: 50px;
        line-height: 55px;
    }
}

@media screen and (max-width: 768px) {
    .special_info_right::after {
        width: 480px;
        height: 350px;
        top: -200px;
        left: -18px;
    }

    .special_info {
        flex-direction: column-reverse;
    }

    .best_collection_item_image {
        width: 210px;
        height: 250px;
    }

    .header_nav_list {
        display: none;
    }

    .header_search ,
    .header_top_nav {
        display: none;
    }

    .special_info_right {
        width: 290px;
        height: 350px;
    }

    .special_info_right::after {
        width: 310px;
        height: 350px;
        top: 180px;
        left: -12px;
    }

    .special_info_item_image {
        height: 200px;
    }

    .special_info_item {
        padding: 30px 25px;
        max-width: 290px;
    }

    .special_info_item_title {
        font-size: 16px;
    }

    .special_title {
        font-size: 40px;
    }

    .special_title_description {
        font-size: 20px;
        margin-top: -15px;
    }

    .banner_main {
        flex-wrap: wrap;
    }

    .home_page_slider_item_title {
        font-size: 24px;
        line-height: 30px;
    }

    .home_page_slider_item {
        height: 400px;
        padding: 20px;
        justify-content: center;
    }

    .home_page_slider_item_button a {
        font-size: 12px;
        padding: 6px 15px;
    }

    .best_collection_title {
        font-size: 25px;
        padding: 40px 0 20px;
    }

    .best_collection_title {
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    .slider_arrows_collection {
        margin: 0;
    }

    .banner_main {
        margin-top: 30px;
    }

    .banner_main_item_info {
        padding: 20px 10px;
    }

    .top_le_title {
        font-size: 25px;
    }

    .buy_handmade_jewelry_main {
        padding-top: 50px;
        padding-bottom: 50px;
    }

    .buy_handmade_jewelry_title {
        font-size: 25px;
        line-height: 30px;
        margin-top: 0;
    }

    .buy_handmade_jewelry_arrow {
        margin-top: 20px;
    }

    .footer_fallow_main_input_and_button input {
        padding: 10px 20px 10px 10px;
    }

    .footer_nav {
        flex-wrap: wrap;
        width: 100%;
        justify-content: space-between;
        padding: 10px 0px;
    }

    .discount_title {
        font-size: 32px;
        line-height: 32px;
    }

    .discount_link {
        margin-top: 20px;
    }

    .special_info {
        padding: 50px 0 50px;
    }

    .way_to_get_an_order_description {
        flex-wrap: wrap;
    }

    .detail_tab_body_info_item_description {
        font-size: 14px;
    }

    .detail_info_left_slider_wrapper {
        max-width: 300px;
        height: 300px;
    }

    .detail_info_left_slider_item {
        height: 100%;
    }

    .detail_info_left_slider_mini {
        width: 100%;
    }

    .detail_info_left_slider_mini {
        height: 90px;
    }

    .detail_info_right_main_title {
        font-size: 30px;
    }

    .detail_info_right_main_price_and_button_price {
        gap: 10px;
        flex-direction: column;
        align-items: flex-start;
    }

    .detail_info_right_main_price_and_button_right button {
        font-size: 12px;
        padding: 10px 10px;
    }

    .detail_info_right_main_price_and_button {
        padding: 11px 15px;
    }

    .detail_tab {
        margin-top: 42px;
    }

    .similar_product_title {
        font-size: 25px;
    }

    .similar_product_slider_item {
        max-width: unset;
    }

    .similar_product_slider_item_price {
        font-size: 14px;
        flex-wrap: wrap;
    }

    .similar_product_slider_item_title {
        font-size: 12px;
    }

    .similar_product_slider_item_button button {
        margin-top: 10px;
        font-size: 12px;
    }

    .similar_product_slider_item:hover .similar_product_slider_item_button button {
        padding: 10px 5px;
    }

    .detail_tab_body {
        margin-top: 10px;
    }

    .similar_product {
        margin-top: 40px;
        margin-bottom: 40px;
    }

    .detail_info_right_main {
        padding: 20px 15px;
    }

    .cart_body_product_item_info_title {
        font-size: 15px;
    }

    .cart_body_product_item_info_price {
        font-size: 14px;
    }

    .cart_body_product_item_info_old_price {
        font-size: 12px;
    }

    .cart_body_product_item_info_price_and_old_price {
        gap: 10px;
    }

    .cart_body_product_item_image_price_total {
        font-size: 14px;
    }

    .header_top ,
    .user_panel ,
    .header_nav {
        display: none;
    }

    .header_logo {
        height: 30px;
    }

    .header_logo a {
        height: 100%;
    }

    .header_logo a svg {
        height: 100%;
        width: fit-content;
    }

    .mobile_nav_icon {
        display: flex;
        flex-direction: column;
        gap: 4px;
        align-items: flex-end;
    }

    .mobile_nav_icon span {
        width: 20px;
        height: 2px;
        background-color: #000000;
        display: block;
    }

    .mobile_nav_icon span:nth-child( 2 ) {
        width: 14px;
    }

    .best_collection_item_title {
        font-size: 12px;
        padding: 10px 0 10px;
    }

    .best_collection_item_price {
        font-size: 14px;
    }

    .top_le {
        margin-top: 40px;
        margin-bottom: 60px;
    }

    .buy_handmade_jewelry_right_slider_item_title {
        font-size: 18px;
        margin-top: 30px;
    }

    .buy_handmade_jewelry_left {
        flex-direction: unset;
        max-width: none;
        width: 100%;
        justify-content: space-between;
        align-items: flex-end;
    }

    .discount_main {
        height: 70vh;
        align-items: flex-start;
        justify-content: flex-end;
        padding-bottom: 70px;
    }

    .discount_link a {
        font-size: 16px;
        gap: 20px;
    }

    .discount_link a svg {
        width: 60px;
    }

    .mobile_search_input {
        display: flex;
    }

    .mobile_search_input input {
        border: 1.4px solid #F6F6F6;
        background: #FFF;
        color: #A7A7A7;
        font-family: Poppins;
        font-size: 12px;
        font-style: normal;
        font-weight: 400;
        line-height: normal;
        letter-spacing: -0.377px;
        padding: 9px 10px;
        width: 100%;
    }

    .mobile_search_input button {
        padding: 10px 12px;
        color: #FFF;
        font-family: Poppins;
        font-size: 12px;
        font-style: normal;
        font-weight: 500;
        line-height: normal;
        letter-spacing: -0.377px;
        background: #000;
    }

    .container.no_padding {
        padding: 0;
    }

    .footer_fallow {
        width: 100%;
    }

    .footer_logo_and_info {
        max-width: unset;
        width: 100%;
    }

    .mobile_menu_main_body_user .user_panel {
        display: flex;
    }

    .mobile_menu_main {
        display: block;
    }

    .mobile_menu_main_body_user .user_panel_total {
        display: block;
    }

    .cart_body_product_item_info {
        min-width: 150px;
    }

    .cart_body_product {
        border-radius: 6px 6px 0px 0px;
        overflow-x: scroll;
    }

    .cart_body_product_item {
        gap: 20px;
    }

    .cart_title {
        color: #272727;
        font-family: Inter;
        font-size: 20px;
        font-style: normal;
        font-weight: 600;
        line-height: 23px;
        letter-spacing: -0.4px;
        margin-bottom: 30px;
        max-width: 778px;
        width: 100%;
    }

    .cart {
        margin-top: 40px;
        margin-bottom: 40px;
    }

    .cart_body_product_item_image_remove_product {
        padding-right: 15px;
    }

    .check {
        gap: 40px;
        flex-direction: column;
        margin-top: 50px;
        margin-bottom: 50px;
    }

    .fill_in_the_detail_send_input label input {
        height: 40px;
    }

    .fill_in_the_detail_send_input label {
        color: #333;
        font-family: Inter;
        font-size: 14px;
        font-style: normal;
        font-weight: 500;
        line-height: normal;
        margin-bottom: 20px;
        display: block;
    }

    .fill_in_the_detail_map {
        overflow: hidden;
        width: 100%;
        height: 200px;
    }

    .payment_detail_send_input label input {
        font-size: 14px;
        padding: 10px 18px;
        height: 40px;
    }

    .payment_detail_send_input label {
        font-size: 14px;
    }

    .payment_detail_send_button label {
        font-size: 11px;
    }

    .payment_detail_send_button label a {
        font-size: 11px;
    }

    .payment_detail_send_button_item button {
        padding: 10px 0;
    }

    .profile_left {
        max-width: 60px;
        overflow: hidden;
        min-width: 60px;
        transition: all 0.3s;
    }

    .profile_user_info {
        padding: 10px 8px;
        border-bottom: 1px solid #E9E9E9;
    }

    .profile_user_info_image {
        min-width: 45px;
    }

    .profile_item {
        padding: 12px 10px;
        white-space: nowrap;
    }

    .profile_item svg {
        min-width: 40px;
    }

    .profile_left.active {
        min-width: 260px;
    }

    .profile_information_title {
        font-size: 18px;
        line-height: 29px;
        padding: 18px;
        min-height: 50.5px;
        display: flex;
    }

    .profile_information_main_product_item_title a {
        font-size: 12px;
        line-height: 18px;
    }

    .profile_information_main_product_item_price {
        font-size: 16px;
    }

    .profile_information_main_product_item_price span {
        color: #A7A7A7;
        font-family: Inter;
        font-size: 12px;
        font-style: normal;
        font-weight: 500;
        line-height: 10.805px;
        letter-spacing: 0.164px;
        text-decoration: line-through;
        margin-left: 15px;
    }

    .profile_information_main_product_item {
        flex-direction: column;
        padding: 10px 10px;
    }

    .profile_information_main_product_item_button_and_like {
        gap: 20px;
        display: flex;
        flex-direction: row-reverse;
    }

    .mobile_button {
        display: flex;
        width: 40px;
        height: 40px;
        background: #F2F3F5;
        position: relative;
        left: -19px;
        top: -2px;
        align-items: center;
        justify-content: center;
        border-radius: 0 10px 10px 0;
        transition: all 0.3s;
    }

    .mobile_button img {
        transform: rotate(90deg);
    }

    .mobile_button.active img {
        transform: rotate( -90deg );
    }

    .profile_right {
        width: 100%;
        min-width: 280px;
    }

    .profile {
        border: 1px solid #E9E9E9;
        margin-top: 51px;
        margin-bottom: 81px;
        overflow: hidden;
    }

    .profile_information_main_input_item input {
        padding: 10px 10px;
        border: 1.4px solid #E9E9E9;
        color: #424242;
        font-family: Inter;
        font-size: 14px;
        font-style: normal;
        font-weight: 500;
        line-height: normal;
        width: 100%;
        display: block;
    }

    .profile_information_main_input_item button {
        background: #000;
        width: 100%;
        height: 40px;
        color: #FFF;
        font-family: Inter;
        font-size: 16px;
        font-style: normal;
        font-weight: 500;
        line-height: normal;
        letter-spacing: -0.566px;
    }

    .profile_information_main_my_order_body_total {
        width: 100%;
    }

    .profile_information_main_my_order_header {
        overflow-x: scroll;
    }

    .profile_information_main_my_order_tab {
        gap: 10px;
        padding-left: 15px;
        padding-top: 11px;
        border-bottom: 1px solid #E8E8E8;
    }

    .profile_information_main_my_order_body {
        padding: 0 10px;
        transition: all 0.3s;
    }

    .ring_main_tag_list_item a {
        font-size: 14px;
        padding: 5px 15px;
    }

    .ring_main_tag_list {
        gap: 5px;
    }

    .ring_main {
        margin-top: 20px;
    }

    .discount_and_promotion_title {
        font-size: 20px;
    }

    .discount_and_promotion_description {
        font-size: 14px;
        line-height: 20px;
    }

    .discount_and_promotion_left {
        width: 100%;
        padding: 20px 0 20px 20px;
    }

    .ring_main_info_left {
        position: fixed;
    }

    .ring_main_info_right {
        border-left: 1px solid #E9E9E9;
    }

    .ring_main_info_right_body_item_title {
        font-size: 14px;
        line-height: 20px;
        margin-top: 10px;
    }

    .ring_main_info_right_body_item_price {
        font-size: 16px;
    }

    .ring_main_info_right_body_item_price span {
        font-size: 12px;
    }

    .ring_main_info_right_body_item {
        max-width: 160px;
        padding: 5px;
    }

    .ring_main_info_right_body_item_image {
        width: 130px;
        height: 130px;
    }

    .ring_main_info_right_body_item_button_add_to_card button {
        font-size: 12px;
        padding: 10px 10px;
    }

    .ring_main_info_right_body_item_button_like button {
        width: 35px;
        height: 35px;
    }

    .discount_and_promotion_image {
        background-size: cover;
        background-position: left center;
    }

    .ring_main_info_left {
        position: fixed;
        top: 0;
        left: -120%;
        width: 80%;
        max-width: 100%;
        height: 100%;
        overflow-y: scroll;
        background: #FFFFFF;
        overflow-x: hidden;
        visibility: hidden;
        opacity: 0;
        transition: all 0.3s;
    }

    .ring_main_info_left.active {
        position: fixed;
        left: 0;
        visibility: visible;
        opacity: 1;
    }

    .mobile_button_filter {
        display: block;
        position: fixed;
        top: 115px;
        right: 10px;
        width: 40px;
        height: 40px;
        background: #ffffff;
        -webkit-box-shadow: 0px 0px 5px 0px rgba(0,0,0,0.5);
        box-shadow: 0px 0px 5px 0px rgba(0,0,0,0.5);
        border-radius: 20px;
        padding: 5px;
        overflow: hidden;
    }

    .moblie_filter_close {
        display: block;
        padding: 10px;
        font-size: 27px;
        line-height: 20px;
        height: fit-content;
        width: 100%;
        text-align: right;
    }

    .footer {
        display: none;
    }

    .mobile_footer {
        display: block;
    }
}

@media screen and (max-width: 670px) {
    .best_collection_item_image {
        width: 170px;
        height: 190px;
    }

    .user_panel_total {
        display: none;
    }

    .detail_tab_header_item {
        padding: 10px 10px;
        font-size: 12px;
    }

    .detail_tab_header {
        padding: 10px 10px;
        width: 100%;
    }

    .detail_tab_body_info_item_title {
        font-size: 12px;
    }

    .detail_info_right_header {
        flex-wrap: wrap;
        gap: 20px;
    }

    .detail_info_left {
        flex-direction: column-reverse;
    }

    .similar_product_slider_item_image {
        height: 120px;
        background-size: cover;
        background-position: center;
        background-repeat: no-repeat;
    }

    .best_collection_item_image {
        width: 292px;
        height: 342px;
        overflow: hidden;
    }

    .detail_info_right_main_price_and_button .detail_info_right_main_price_and_button_right {
        max-width: 135px;
    }

    .detail_info_right_main_price_and_button_right button {
        font-size: 11px;
        padding: 10px 10px;
    }

    .detail_info_right_main_title {
        font-size: 26px;
    }

    .detail_info_right_main_description {
        font-size: 12px;
    }
}

@media screen and (max-width: 576px){
    .banner_main_item_title {
        font-size: 16px;
    }

    .banner_main_item_image {
        max-width: 120px;
        width: 100%;
        height: 107px;
        overflow: hidden;
    }

    .banner_main_item_image img {
        width: 100%;
    }

    .banner_main_item_description {
        font-size: 12px;
        line-height: 16px;
        padding-top: 10px;
        max-width: 240px;
    }

    .banner_main_item_link a {
        font-size: 12px;
    }

    .banner_main_item_link a svg {
        width: 15px;
    }
}

@media screen and (max-width: 560px) {
    .footer_fallow_main_input_and_button input {
        width: 100%;
    }
}

@media screen and (max-width: 540px) {

}

@media screen and (min-width: 470px){

}

@media screen and (max-width: 470px){

}

@media screen and (max-width: 400px) {

}

@media screen and (max-width: 380px){

}

@media screen and (max-width: 340px) {

}

@media (max-width: 992px) {

}

@media (max-width: 650px) {

}
